## org.exist.cocoon
Class StatusGenerator

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.generation.AbstractGenerator
                  org.exist.cocoon.StatusGenerator

All Implemented Interfaces:
  org.apache.avalon.framework.component.Component, org.apache.cocoon.generation.Generator, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.xml.XMLProducer

public class StatusGenerator
extends org.apache.cocoon.generation.AbstractGenerator

A Cocoon Generator which generates status information about running database instances, buffer usage and the like.

Field Summary
`static java.lang.String` `NAMESPACE`
`static java.lang.String` `PREFIX`

Fields inherited from interface org.apache.cocoon.generation.Generator
`ROLE`

Constructor Summary
`StatusGenerator()`

Method Summary
`void` `generate()`

Methods inherited from class org.apache.cocoon.generation.AbstractGenerator
`recycle, setup`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### StatusGenerator

    public StatusGenerator()

Method Detail

### generate

    public void generate()
                  throws java.io.IOException,
                         org.xml.sax.SAXException,
                         org.apache.cocoon.ProcessingException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `org.apache.cocoon.ProcessingException`
  See Also:
    `Generator.generate()`

Copyright (C) Wolfgang Meier. All rights reserved.